<?php

global $esp_options;






class esp_product_type {
public function __construct()
{
    $this->register_post_type();

}
public function register_post_type() {


















// creates price , tax and shipping cost metabox

function esp_product_price_metabox() {
	global $post;
	global $esp_options;
	
	$Price = get_post_meta( $post->ID, 'Price', true );
	$ShippingCost = get_post_meta( $post->ID, 'ShippingCost', true );
	$tax = get_post_meta( $post->ID, 'tax', true );
	




	 ?>


	<p><label for="Price">Price:<br />
	<?php echo $esp_options['esp_currency_symbol']; ?>	<input id="Price" name="Price" size="10" value="<?php if( $Price ) { echo $Price; } ?>" ></input></label><b><?php echo $esp_options['esp_seller_country']; ?></b></p>
	<p><label for="ShippingCost">Shipping Cost:<br />
	<?php echo $esp_options['esp_currency_symbol']; ?>	<input id="ShippingCost" name="ShippingCost" size="10" value="<?php if( $ShippingCost ) { echo $ShippingCost; } ?>" ></input></label><b><?php echo $esp_options['esp_seller_country']; ?></b></p>
	<p><label for="tax">Tax:<br />
	<?php echo $esp_options['esp_currency_symbol']; ?>	<input id="tax" name="tax" size="10" value="<?php if( $tax ) { echo $tax; } ?>" ></input></label><b><?php echo $esp_options['esp_seller_country']; ?></b></p>

	
	
<?php
}
/**
 * Process the custom metabox fields
 */
function save_custom_url( $post_id ) {
	global $post;	

	if( $_POST ) {
		
		
		update_post_meta( $post->ID, 'Price', $_POST['Price'] );
		update_post_meta( $post->ID, 'ShippingCost', $_POST['ShippingCost'] );
		update_post_meta( $post->ID, 'tax', $_POST['tax'] );
		
	}
}

// Add action hooks. Without these we are lost
add_action( 'admin_init', 'add_custom_metabox' );
add_action( 'save_post', 'save_custom_url' );

/**
 * Add meta box
 */
function add_custom_metabox() {
	add_meta_box( 'custom-metabox', __( 'Product Details ' ), 'esp_product_price_metabox', 'product', 'normal', 'high' );
}









// creates weight , leangth and height metabox

function esp_product_advanced_metabox() {
	global $post;
	global $esp_options;
	
	$Weight = get_post_meta( $post->ID, 'Weight', true );
	$Height = get_post_meta( $post->ID, 'Height', true );
	$Leangth = get_post_meta( $post->ID, 'Leangth', true );
	




	 ?>

	 
	 
	 <table border="0" >
<tr>
<td><label for="Weight"><b><center>Product Weight:</center></b>
<input id="Weight" size="47" name="Weight"  value="<?php if( $Weight ) { echo $Weight; } ?>" ></input></td>


<td><label for="Height"><b><center>Product Height:</center></b>
<input id="Height" size="47" name="Height"  value="<?php if( $Height ) { echo $Height; } ?>" ></input></label></td>



<td><label for="Leangth"><b><center>Product Leangth:</center></b>
<input id="Leangth" size="47" name="Leangth"  value="<?php if( $Leangth ) { echo $Leangth; } ?>" ></input></label></td>
</tr>


</table>
	 
	 
	 

	

<?php
}
/**
 * Process the custom metabox fields
 */
function save_custom_url2( $post_id ) {
	global $post;	

	if( $_POST ) {
		
		
		update_post_meta( $post->ID, 'Weight', $_POST['Weight'] );
		update_post_meta( $post->ID, 'Height', $_POST['Height'] );
		update_post_meta( $post->ID, 'Leangth', $_POST['Leangth'] );
		
	}
}

// Add action hooks. Without these we are lost
add_action( 'admin_init', 'add_custom_metabox2' );
add_action( 'save_post', 'save_custom_url2' );

/**
 * Add meta box
 */
function add_custom_metabox2() {
	add_meta_box( 'custom-metabox2', __( 'Extra product Details ' ), 'esp_product_advanced_metabox', 'product', 'normal', 'high' );
}










// creates seo box for plugin


function esp_seo_metabox() {
	global $post;
	global $esp_meta_options;
	
	$SeoTitle = get_post_meta( $post->ID, 'SeoTitle', true );
	$SeoDesc = get_post_meta( $post->ID, 'SeoDesc', true );
	$Seotags = get_post_meta( $post->ID, 'Seotags', true );
	




	 ?>
<style type="text/css">
.textareaxxx {
   font-size: 12pt;
   font-family: Arial;
} 
</style>




<script> 

function maxLength (e) {    
    if (!document.createElement('textarea').maxLength) {
        var max = e.attributes.maxLength.value;
        e.onkeypress = function () {
            if(this.value.length >= max) return false;
        };
    }
}

maxLength(
    document.getElementById("text")
);
</script>



<?php if ($esp_meta_options['esp_theme_seo'] == "yes") {echo '<p><label for="SeoTitle"><b>Enter Your Product seo  Title</b>:
		<input id="SeoTitle" name="SeoTitle" size="70" maxlength="70" value="' . $SeoTitle . '" ></input></label><b></b></p>
	<p><label for="SeoDesc"><b>Product Description</b>:(text limit=156)<br />
	<textarea class="textareaxxx" id="SeoDesc" name="SeoDesc"  font size="2" maxlength="156" rows="02" cols="105" value="SeoDesc" >' . $SeoDesc . '</textarea></label><b></b></p>
	<p><label for="Seotags"><b>Meta tags</b>:(separated by coma)
		<input id="Seotags" name="Seotags" size="100" value="' . $Seotags . '" ></input></label><b></b></p>';}else {echo 'To use built in plugin seo feature please change plugin admin settings ';} ?>
	

	
	
<?php
}
/**
 * Process the custom metabox fields
 */
function save_custom_url3( $post_id ) {
	global $post;
global $esp_meta_options;	

	if( $_POST ) {
		
		
		update_post_meta( $post->ID, 'SeoTitle', $_POST['SeoTitle'] );
		update_post_meta( $post->ID, 'SeoDesc', $_POST['SeoDesc'] );
		update_post_meta( $post->ID, 'Seotags', $_POST['Seotags'] );
		
	}
}

function esp_meta_title() {
	global $post;
  if ('product' == $post->post_type )
  { 
	  $espSeoTitle = get_post_meta($post->ID, 'SeoTitle', true);
    // echo only if not empty
    if(!empty($espSeoTitle)){
      echo '<meta name="title" content="' . $espSeoTitle . '">';
    }	
  }
}

function esp_meta_description() {
	global $post;
  if ('product' == $post->post_type )
  { 
	  $espdescription = get_post_meta($post->ID, 'SeoDesc', true);
    // echo only if not empty
    if(!empty($espdescription)){
      echo '<meta name="description" content="' . $espdescription . '" />';
    }	
  }
}


function esp_meta_keywords() {
	global $post;
  if ('product' == $post->post_type )
  { 
	  $espSeotags = get_post_meta($post->ID, 'Seotags', true);
    // echo only if not empty
    if(!empty($espSeotags)){
      echo '<meta name="keywords" content="' . $espSeotags . '" />';
    }	
  }
}



	


add_action( 'admin_init', 'add_custom_metabox3' );
add_action( 'save_post', 'save_custom_url3' );
add_action( 'wp_head' ,  'esp_meta_title');
add_action( 'wp_head' ,  'esp_meta_description');
add_action( 'wp_head' ,  'esp_meta_keywords');

/**
 * Add meta box
 */
 
function add_custom_metabox3() {

	add_meta_box( 'custom-metabox3', __( 'Product SEO ' ), 'esp_seo_metabox', 'product', 'normal', 'high' );
}








register_taxonomy('product_cat','product', array(
            'hierarchical' => true,
             'show_ui' => true,
            'query_var' => true,
    )); // add unique categories to portfolio section 
	
	
$args = array (

'labels'=> array (
   'name' => 'Products',
   'singular_name' => 'product',
   'add_new' => 'Add New Product',
   'add_new_item' => 'Add New Product',
   'edit_item' => 'Edit Product',
   'new_item' => 'Add new Product ',
   'view_item' => 'View product',
   'search_items' => 'Search Product',
   'not_found' => 'no product found ',
   'not_found_in_trash' => 'no product found in trash'
   
   ),    
     'query_var' => 'products',
	
	 
	 
	 
	 'public' => true,
	 
     'supports'=> array( 'title', 'editor', 'thumbnail','excerpt'),
	 'taxonomies' => array('product'),
	
	
	
	
	);
register_post_type('product',$args);

}

}

add_action('init', function() {
 new esp_product_type();
 
 
} )  




?>